(function( $ ) {
    'use strict';

    /**
     * All of the code for your admin-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
	 *
	 * });
     *
     * When the window is loaded:
     */
    $( window ).load(function() {

        // Order List Invoice Button Redirect
		$(".wpifw_invoice_action_button").click(function (event) {
            event.preventDefault();
        	var URL=$(this).attr('href');
            window.open(URL,'_blank');
            return false;
        });



		// Bulk PDF Invoice & Packing Slip action redirect
        $("#doaction, #doaction2").click(function (event) {
            var actionselected = $(this).attr("id").substr(2);
            var getAction = $('select[name="' + actionselected + '"]').val();
            if(getAction==="wpifw_bulk_invoice"){
            	event.preventDefault();
                var wpifwOrderIds = [];
                $('tbody th.check-column input[type="checkbox"]:checked').each(
                    function() {
                        wpifwOrderIds.push($(this).val());
                    }
                );

                if (!wpifwOrderIds.length) {
                    alert('You have to select orders first!');
                     return false;
                }

                var order_ids=wpifwOrderIds.join(',');
				var URL;
                if (wpifw_ajax_obj.wpifw_ajax_url.indexOf("?") != -1) {
                    URL = wpifw_ajax_obj.wpifw_ajax_url+'&action=wpifw_generate_invoice&order_ids='+order_ids+'&_wpnonce='+wpifw_ajax_obj.nonce;
                } else {
                    URL = wpifw_ajax_obj.wpifw_ajax_url+'?action=wpifw_generate_invoice&order_ids='+order_ids+'&_wpnonce='+wpifw_ajax_obj.nonce;
                }

                window.open(URL,'_blank');

                return false;
			}else if(getAction==="wpifw_bulk_invoice_packing_slip"){

                event.preventDefault();
                var wpifwOrderIds = [];
                $('tbody th.check-column input[type="checkbox"]:checked').each(
                    function() {
                        wpifwOrderIds.push($(this).val());
                    }
                );

                if (!wpifwOrderIds.length) {
                    alert('You have to select orders first!');
                    return false;
                }

                var order_ids=wpifwOrderIds.join(',');
                var URL;
                if (wpifw_ajax_obj.wpifw_ajax_url.indexOf("?") != -1) {
                    URL = wpifw_ajax_obj.wpifw_ajax_url+'&action=wpifw_generate_invoice_packing_slip&order_ids='+order_ids+'&_wpnonce='+wpifw_ajax_obj.nonce;
                } else {
                    URL = wpifw_ajax_obj.wpifw_ajax_url+'?action=wpifw_generate_invoice_packing_slip&order_ids='+order_ids+'&_wpnonce='+wpifw_ajax_obj.nonce;
                }

                window.open(URL,'_blank');

                return false;
            }



		});

        // set active of Setting tab

        // //To set default checked in setting tab if not found any localStorage value for active tab

        //set default setting tab active
           //$('#tab1').attr("checked", true);

        $("input[name='wf_tabs']").on('change',function () {
            var selectedTab = $(this).val();
            sessionStorage.setItem('active_tab', selectedTab);

        });

        var  activeTab = sessionStorage.getItem('active_tab');

        if(activeTab === "settings"){
            $('#tab1').attr("checked", true);

        }else if(activeTab === 'seller&buyer'){
            $('#tab2').attr("checked", true);

        }else if(activeTab === "localization"){
            $('#tab3').attr("checked", true);

        }else if(activeTab === 'bulk_download'){
            $('#tab4').attr("checked", true);

        }
        // set active of Setting tab ended


        //Bulk input date validation
        var from_date;
        var to_date;
        var toCheck   = 0;
        var fromCheck = 0;

        $('#Date-from').on('change',function(){
            from_date = Date.parse($(this).val());
            fromCheck = 1;
            if(toCheck && fromCheck){
                if(to_date<from_date){
                    alert("Input date should be less than or equal Date To");
                    $('#Date-from').val("");
                    fromCheck = 0;
                }
            }

        });

        $('#Date-to').on('change',function(){
            to_date = Date.parse($(this).val());
            toCheck = 1;
            if(toCheck && fromCheck){
                if(to_date<from_date){
                    alert("Input date should be greater than or equal Date From");
                    $('#Date-to').val("");
                    toCheck = 0;

                }
            }

        });




    });

    $(function() {

        var tabs = $('.webappick-sidebar-navbar-nav > li > a'); //grab tabs
        var contents = $('.webappick-dashboard-content > li'); //grab contents

        if(sessionStorage.getItem('activeSidebarTab') != null ) {

            var activeSidebarTab = sessionStorage.getItem('activeSidebarTab');
            contents.hide(); //hide all contents
            tabs.removeClass('active'); //remove 'current' classes
            $(contents[activeSidebarTab]).show(); //show tab content that matches tab title index
            var activeTabSelector = $( ".webappick-sidebar-navbar-nav > li:eq( "+activeSidebarTab+" ) > a" );
            activeTabSelector.addClass('active');
            /*$(this).addClass('active'); //add current class on clicked tab title*/
        } else {
            
            $(contents[0]).css('display','block'); //show tab content that matches tab title index
            var activeTabSelector = $( ".webappick-sidebar-navbar-nav > li:eq(0) > a" );
            activeTabSelector.addClass('active');
        }

        tabs.bind('click',function(e){
            e.preventDefault();
            var tabIndex = $(this).parent().prevAll().length;
            contents.hide(); //hide all contents
            tabs.removeClass('active'); //remove 'current' classes
            $(contents[tabIndex]).show(); //show tab content that matches tab title index
            $(this).addClass('active'); //add current class on clicked tab title
            
            var selectedSidebarTab = $(this).parent().prevAll().length;
            sessionStorage.setItem('activeSidebarTab', selectedSidebarTab);
        });
    });

    $(document).on('click', '.woo-pdf-review-notice ul li a', function (e) {
        e.preventDefault();
        let notice = $(this).attr('val');

        if(notice=="given"){
            window.open('https://wordpress.org/plugins/webappick-pdf-invoice-for-woocommerce/reviews/?rate=5#new-post','_blank');
        }

        $( ".woo-pdf-review-notice" ).slideUp( 200, "linear");

        $.ajax({
            url: wpifw_ajax_obj.wpifw_ajax_url,
            type: 'post',
            data: {
                _ajax_nonce: wpifw_ajax_obj.nonce,
                action: "save_review_notice",
                notice: notice
            },
            success: function (response) {

            }
        });
    });



})( jQuery );
