<?php

/**
 * Provide settings view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://webappick.com
 * @since      1.0.0
 *
 * @package    Webappick_Pdf_Invoice_For_Woocommerce
 * @subpackage Webappick_Pdf_Invoice_For_Woocommerce/admin/partials
 */

#Checkbox Value to compare
$current=1;

$banner_dir = plugin_dir_url( __FILE__ ).'../images/woo_invoice_icon.png';


?>

<div class="wrap">
<div class="webappick-wrap">
    <div class="webappick-dashboard-header">
        <img src="<?php _e($banner_dir,'woo-invoice') ?>" alt="">
        <a target="_blank" href="https://webappick.com/support/"><button class="webappick-btn webappick-btn-danger">SUPPORT</button></a>
    </div>
    <div class="webappick-dashboard-body">
        <div class="webappick-dashboard-sidebar">
            <webappick-nav class="webappick-sidebar-navbar webappick-sidebar-navbar-vertical fixed-left webappick-sidebar-navbar-expand-md webappick-sidebar-navbar-light" id="webappick-sidebar">
                <div class="container-fluid">

                    <!-- Toggler -->
                    <button class="webappick-sidebar-navbar-toggler" type="button" data-toggle="collapse" data-target="#webappickSidebarCollapse" aria-controls="webappickSidebarCollapse" aria-expanded="false" aria-label="Toggle webappick-navigation">
                        <span class="webappick-sidebar-navbar-toggler-icon"></span>
                    </button>

                    <!-- Brand -->
                    <!-- <a class="webappick-sidebar-navbar-brand" href="https://webappick.com"><img src="../wp-content/plugins/webappick-boilerplate/admin/images/webappick-logo.png" alt="WEBAPPICK" style="width:100px;"></a> -->

                    <!-- Collapse -->
                    <ul class="collapse webappick-sidebar-navbar-collapse" id="webappickSidebarCollapse">

                        <ul class="webappick-sidebar-navbar-nav webappick-mb-md-4">
                            <li class="webappick-sidebar-nav-item">
                                <a class="webappick-sidebar-nav-link" href="#">
                                    Settings
                                </a>
                            </li>
                            <li class="webappick-sidebar-nav-item">
                                <a class="webappick-sidebar-nav-link" href="#">
                                    Seller & Buyer
                                </a>
                            </li>
                            <li class="webappick-sidebar-nav-item">
                                <a class="webappick-sidebar-nav-link" href="#">
                                    Localization
                                </a>
                            </li>
                            <li class="webappick-sidebar-nav-item">
                                <a class="webappick-sidebar-nav-link" href="#">
                                    Bulk download
                                </a>
                            </li>
                        </ul>    

                    </ul>
                </div>
            </webappick-nav>
        </div>
        <div class="webappick-dashboard-content">

            <li>
                <div class="webappick-row">
                    <div class="webappick-col-sm-8 webappick-col-10 webappick-offset-1">
                        <div class="webappick-card">
                            <div class="webappick-card-body">

                                <form action="" method="post">

                                    <div class="webappick-form-group">
                                        <div class="webappick-custom-control webappick-custom-switch" style="padding-left:0!important">
                                            <span style="width:255px;display: inline-block;vertical-align: middle;" ><?php echo _e('Enable Invoicing', 'webappick-pdf-invoice-for-woocommerce'); ?></span>
                                            <input type="checkbox" class="webappick-custom-control-input" id ="wpifw_invoicing" name="wpifw_invoicing" value="1" <?php checked(get_option('wpifw_invoicing'),$current,true); ?>>
                                            <label class="webappick-custom-control-label" for="wpifw_invoicing"></label>

                                        </div>
                                    </div>
                                    <div class="webappick-form-group">
                                        <div class="webappick-custom-control webappick-custom-switch" style="padding-left:0!important">
                                            <span style="width:255px;display: inline-block;vertical-align: middle;" ><?php echo _e('Allow Download', 'webappick-pdf-invoice-for-woocommerce'); ?></span>
                                            <input title="Allow Customer to Download Invoice From My Account"  type="checkbox" class="webappick-custom-control-input" id ="wpifw_download" name="wpifw_download" value="1" <?php checked(get_option('wpifw_download'),$current,true); ?>>
                                            <label class="webappick-custom-control-label tips" for="wpifw_download" title="Allow Customer to Download Invoice From My Account"></label>
                                        </div>
                                    </div>

                                    <div class="webappick-form-group">
                                        <div class="webappick-custom-control webappick-custom-switch" style="padding-left:0!important">
                                            <span style="width:255px;display: inline-block;vertical-align: middle;" ><?php echo _e('Attach to Order Email', 'webappick-pdf-invoice-for-woocommerce'); ?></span>
                                            <input type="checkbox" id ="atttoorder"  class="webappick-custom-control-input atttoorder" name="wpifw_order_email" value="1" <?php checked(get_option('wpifw_order_email'),$current,true); ?>>
                                            <label class="webappick-custom-control-label tips" for="atttoorder"></label>
                                        </div>
                                    </div>
                                   
                                    <div class="webappick-form-group" style="width:515px;">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="invno"><?php echo _e('Next Invoice No.', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="number" class="webappick-form-control" id ="invno" name="wpifw_invoice_no" value="<?php echo esc_attr(get_option("wpifw_invoice_no")); ?>">
                                    </div>

                                    <div class="webappick-form-group" style="width:515px;">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="invprefix"><?php echo _e('Invoice No. Prefix', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="invprefix" name="wpifw_invoice_no_prefix" value="<?php echo esc_attr(get_option("wpifw_invoice_no_prefix")); ?>">
                                    </div>

                                    <div class="webappick-form-group" style="width:515px;">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="insuff"><?php echo _e('Invoice No. Suffix', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="insuff" name="wpifw_invoice_no_suffix" value="<?php echo esc_attr(get_option("wpifw_invoice_no_suffix")); ?>">
                                    </div>

                                    <div class="webappick-form-group" style="width:515px;">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="disid"> <?php echo _e('Display ID/SKU', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <select style="width:300px;" id="disid" name="wpifw_disid" class="webappick-select-control">
                                           <option value="SKU" <?php selected(get_option('wpifw_disid'),"SKU",true); ?>>SKU</option>
                                           <option value="ID" <?php selected(get_option('wpifw_disid'),"ID",true); ?>>ID</option>
                                           <option value="None" <?php selected(get_option('wpifw_disid'),"None",true); ?>>None</option>
                                        </select>
                                    </div>

                                    <div class="webappick-form-group" style="width:515px;">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="date"> <?php echo _e('Date Format', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <select style="width:300px;" id="date" name="wpifw_date_format" class="webappick-select-control">
                                           <option value="d M, o" <?php selected(get_option('wpifw_date_format'),"d M, o",true); ?> >Date Month, Year</option>
                                           <option value="m/d/y" <?php selected(get_option('wpifw_date_format'),"m/d/y",true); ?> >mm/dd/yy</option>
                                           <option value="d/m/y" <?php selected(get_option('wpifw_date_format'),"m/d/y",true); ?> >dd/mm/yy</option>
                                           <option value="y/m/d" <?php selected(get_option('wpifw_date_format'),"y/m/d",true); ?> >yy/mm/dd</option>
                                           <option value="d/m/Y" <?php selected(get_option('wpifw_date_format'),"d/m/Y",true); ?>>dd/mm/yyyy</option>
                                           <option value="Y/m/d" <?php selected(get_option('wpifw_date_format'),"Y/m/d",true); ?>>yyyy/mm/dd</option>
                                           <option value="m/d/Y" <?php selected(get_option('wpifw_date_format'),"m/d/Y",true); ?>>mm/dd/yyyy</option>
                                           <option value="y-m-d" <?php selected(get_option('wpifw_date_format'),"y-m-d",true); ?>>yy-mm-dd</option>
                                           <option value="Y-m-d" <?php selected(get_option('wpifw_date_format'),"Y-m-d",true); ?>">yyyy-mm-dd</option>
                                        </select>
                                    </div>


                                    <div class="webappick-form-group">
                                        <div class="webappick-custom-control webappick-custom-switch" style="padding-left:0!important">
                                            <span style="width:255px;display: inline-block;vertical-align: middle;" ><?php echo _e('Display Currency Code', 'webappick-pdf-invoice-for-woocommerce'); ?></span>
                                            <input type="checkbox" class="webappick-custom-control-input" id ="discurrency" name="wpifw_currency_code" value="1" <?php checked(get_option('wpifw_currency_code'),$current,true); ?> >
                                            <label class="webappick-custom-control-label" title="Display Currency Code into Invoice Total" for="discurrency"></label>
                                        </div>
                                    </div>

                                    <div class="webappick-form-group">
                                        <div class="webappick-custom-control webappick-custom-switch" style="padding-left:0!important">
                                            <span style="width:255px;display: inline-block;vertical-align: middle;"><?php echo _e('Display Payment Method', 'webappick-pdf-invoice-for-woocommerce'); ?></span>
                                            <input type="checkbox" class="webappick-custom-control-input" id ="disPayment" name="wpifw_payment_method_show" value="1" <?php checked(get_option('wpifw_payment_method_show'),$current,true); ?> >
                                            <label class="webappick-custom-control-label" title="Display Payment Method into Invoice" for="disPayment"></label>
                                        </div>
                                    </div>

                                    <input class="webappick-btn webappick-btn-primary" type="submit" name="wpifw_submit" value="Save Changes" />

                                </form>

                            </div>


                        </div>
                    </div>
                </div>

            </li>
            <li>
                <div class="webappick-row">
                    <div class="webappick-col-sm-8 webappick-col-10 webappick-offset-1">
                        <div class="webappick-card">
                            <div class="webappick-card-body">
                                
                                <form action="" method="post">

                                    <?php echo _e('<h3>Seller Block</h3>', 'webappick-pdf-invoice-for-woocommerce'); ?>        
                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="logo"><?php echo _e('Logo image', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        
                                        <div style="width:300px;display:inline-block;">
                                            <?php wp_enqueue_media(); ?>

                                            <div class='wpifw_logo-preview-wrapper'>
                                                <img style="max-width:90px;display: block;margin: 20px 0 10px 0;" id='wpifw_logo-preview' src='<?php echo wp_get_attachment_url( get_option( 'wpifw_logo_attachment_id' ) ); ?>'>
                                            </div>
                                            <input id="wpifw_upload_logo_button" type="button" class="button" value="<?php _e( 'Upload Logo' ); ?>" />
                                            <input type='hidden' name='wpifw_logo_attachment_id' id='wpifw_logo_attachment_id' value='<?php echo get_option( 'wpifw_logo_attachment_id' ); ?>'>
                                        </div>
                                    </div> 


                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="logo-height-width"><?php echo _e('Height X Width (pixel)', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        
                                        <div style="width:300px;display:inline-block;">

                                            <input style="width:140px;" type="text" name="wpifw_logo_height" class="webappick-form-control" value='<?php echo get_option( 'wpifw_logo_height' ); ?>'>
                                           X
                                            <input style="width:140px;" type="text" name="wpifw_logo_width" class="webappick-form-control" value='<?php echo get_option( 'wpifw_logo_width' ); ?>'>
                                        </div>
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="bltitle"><?php echo _e('Block title', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="bltitle" name="wpifw_block_title_from" value="<?php echo esc_attr(get_option("wpifw_block_title_from")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="cname"><?php echo _e('Company name', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="cname" name="wpifw_cname" value="<?php echo esc_attr(get_option("wpifw_cname")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: top;" for="cdetails"><?php echo _e('Company details', 'webappick-pdf-invoice-for-woocommerce'); ?></label>

                                        <textarea style="width:300px;height:150px;" class="webappick-form-control" id="cdetails" name="wpifw_cdetails" value=""><?php echo esc_attr(get_option("wpifw_cdetails")); ?></textarea>
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: top;" for="terms-and-condition"><?php echo _e('Footer 1', 'webappick-pdf-invoice-for-woocommerce'); ?></label>

                                        <textarea style="width:300px;height:150px;" class="webappick-form-control" id="terms-and-condition" name="wpifw_terms_and_condition" value=""><?php echo esc_textarea(get_option("wpifw_terms_and_condition")); ?></textarea>
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: top;" for="other-information"><?php echo _e('Footer 2', 'webappick-pdf-invoice-for-woocommerce'); ?></label>

                                        <textarea style="width:300px;height:150px;" class="webappick-form-control" id="other-information" name="wpifw_other_information" value=""><?php echo esc_textarea(get_option("wpifw_other_information")); ?></textarea>
                                    </div>

                                    <?php echo _e('<h3>Buyer Block</h3>', 'webappick-pdf-invoice-for-woocommerce'); ?>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="btitle"><?php echo _e('Block title', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="btitle" name="wpifw_block_title_to" value="<?php echo esc_attr(get_option("wpifw_block_title_to")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: top;" for="buyer"><?php echo _e('Buyer details layout', 'webappick-pdf-invoice-for-woocommerce'); ?></label>

                                        <div style="width:300px;display:inline-block;">
                                            <textarea style="width:300px;height:150px;" class="webappick-form-control" id="buyer" name="wpifw_buyer" value=""><?php echo esc_textarea(get_option("wpifw_buyer")); ?></textarea>
                                            <br><span><code>{{first_name}}</code><code>{{last_name}}</code><code>{{company}}</code><br><br><code>{{address_1}}</code><code>{{address_2}}</code><code>{{city}}</code><br><br><code>{{state}}</code><code>{{postcode}}</code><code>{{country}}</code><br><br><code>{{phone}}</code><code>{{email}}</code></span>
                                        </div>
                                    </div>

                                    <input type="submit" name="wpifw_submit_seller&buyer" value="Save Changes" class="webappick-btn webappick-btn-primary" />

                                </form>

                            </div>
                        </div>
                    </div>

                </div>
            </li>
            <li>
                <div class="webappick-row">
                    <div class="webappick-col-sm-8 webappick-col-10 webappick-offset-1">
                        <div class="webappick-card">

                            <div class="webappick-card-body">
                                <form action="" method="post">

                                    <?php echo _e('<h3>Invoice block</h3>', 'webappick-pdf-invoice-for-woocommerce'); ?>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="invoice"><?php echo _e('Invoice', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="invoice" name="wpifw_INVOICE_TITLE" value="<?php echo esc_attr(get_option("wpifw_INVOICE_TITLE")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="payment_method"><?php echo _e('Payment Method', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="payment_method" name="wpifw_payment_method_text" value="<?php echo esc_attr(get_option("wpifw_payment_method_text")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Invoice-number"><?php echo _e('Invoice Number', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="Invoice-number" name="wpifw_INVOICE_NUMBER_TEXT" value="<?php echo esc_attr(get_option("wpifw_INVOICE_NUMBER_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Invoice-date"><?php echo _e('Invoice Date', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="Invoice-date" name="wpifw_INVOICE_DATE_TEXT" value="<?php echo esc_attr(get_option("wpifw_INVOICE_DATE_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="order_number"><?php echo _e('Order Number', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="order_number" name="wpifw_ORDER_NUMBER_TEXT" value="<?php echo esc_attr(get_option("wpifw_ORDER_NUMBER_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="order_date"><?php echo _e('Order Date', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="order_date" name="wpifw_ORDER_DATE_TEXT" value="<?php echo esc_attr(get_option("wpifw_ORDER_DATE_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="sl"><?php echo _e('SL', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="sl" name="wpifw_SL" value="<?php echo esc_attr(get_option("wpifw_SL")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="product"><?php echo _e('Product', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="product" name="wpifw_PRODUCT" value="<?php echo esc_attr(get_option("wpifw_PRODUCT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="price"><?php echo _e('Price', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="price" name="wpifw_PRICE" value="<?php echo esc_attr(get_option("wpifw_PRICE")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="quantity"><?php echo _e('Quantity', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="quantity" name="wpifw_QUANTITY" value="<?php echo esc_attr(get_option("wpifw_QUANTITY")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="total"><?php echo _e('Total', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="total" name="wpifw_ROW_TOTAL" value="<?php echo esc_attr(get_option("wpifw_ROW_TOTAL")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="su-total"><?php echo _e('Sub Total', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="su-total" name="wpifw_SUBTOTAL_TEXT" value="<?php echo esc_attr(get_option("wpifw_SUBTOTAL_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Tax1"><?php echo _e('Tax %', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="Tax1" name="wpifw_TAX_TEXT" value="<?php echo esc_attr(get_option("wpifw_TAX_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="discount"><?php echo _e('Discount', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="discount" name="wpifw_DISCOUNT_TEXT" value="<?php echo esc_attr(get_option("wpifw_DISCOUNT_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="grand-total-tax"><?php echo _e('Grand Total', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="grand-total-tax" name="wpifw_GRAND_TOTAL_TEXT" value="<?php echo esc_attr(get_option("wpifw_GRAND_TOTAL_TEXT")); ?>">
                                    </div>

                                    <?php _e('<h3>Packing Slip block</h3>', 'webappick-pdf-invoice-for-woocommerce'); ?>

 
                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="packing_slip"><?php echo _e('Packing Slip', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="packing_slip" name="wpifw_PACKING_SLIP_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Invoice-number_slip"><?php echo _e('Order Number', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="Invoice-number_slip" name="wpifw_PACKING_SLIP_ORDER_NUMBER_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_ORDER_NUMBER_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Invoice-date"><?php echo _e('Order Date', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="Invoice-date" name="wpifw_PACKING_SLIP_ORDER_DATE_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_ORDER_DATE_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="shipping_method"><?php echo _e('Shipping method', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="shipping_method" name="wpifw_PACKING_SLIP_ORDER_METHOD_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_ORDER_METHOD_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="product"><?php echo _e('Product', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="product" name="wpifw_PACKING_SLIP_PRODUCT_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_PRODUCT_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="weight"><?php echo _e('Weight', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="weight" name="wpifw_PACKING_SLIP_WEIGHT_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_WEIGHT_TEXT")); ?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="quantity"><?php echo _e('Quantity', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="text" class="webappick-form-control" id ="quantity" name="wpifw_PACKING_SLIP_QUANTITY_TEXT" value="<?php echo esc_attr(get_option("wpifw_PACKING_SLIP_QUANTITY_TEXT")); ?>">
                                    </div>

                                    <input type="submit" name="wpifw_submit_localization" value="Save Changes" class="webappick-btn webappick-btn-primary" />

                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </li>
            <li>
                <div class="webappick-row">
                        <div class="webappick-col-sm-8 webappick-col-10 webappick-offset-1">
                        <div class="webappick-card">
                            <div class="webappick-card-body">

                                <form action="" method="post" target="_blank">
                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="disid"> <?php echo _e('Bulk Type', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <select style="width:300px;" id="disid" name="wpifw_bulk_type" class="webappick-select-control">
                                           <option value="WPIFW_INVOICE_DOWNLOAD" <?php selected(get_option('wpifw_disid'),"SKU",true); ?>>Invoice</option>
                                           <option value="WPIFW_PACKING_SLIP" <?php selected(get_option('wpifw_disid'),"ID",true); ?>>Packing Slip</option>
                                        </select>
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Date-from"> <?php echo _e('Date From', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="date" id ="Date-from" class="webappick-form-control" required name="wpifw_date_from" value="Date From" max="<?php echo date('Y-m-d');?>">
                                    </div>

                                    <div class="webappick-form-group">
                                        <label style="width:200px;display: inline-block;vertical-align: middle;" for="Date-to"> <?php echo _e('Date To', 'webappick-pdf-invoice-for-woocommerce'); ?></label>
                                        <input style="width:300px;" type="date" id ="Date-to" class="webappick-form-control" required name="wpifw_date_to" value="Date To" max="<?php echo date('Y-m-d');?>">
                                    </div>

                                    <input type="submit" name="wpifw_submit_bulk_download" value="Download " class="webappick-btn webappick-btn-primary" />
                                </form>
                            </div>
                        </div>
                    </div>

                </div>
            </li>

        </div>
    </div>
</div>
</div>

































