<?php

/**
 * Fired during plugin activation
 *
 * @link       https://webappick.com
 * @since      1.0.0
 *
 * @package    Webappick_Pdf_Invoice_For_Woocommerce
 * @subpackage Webappick_Pdf_Invoice_For_Woocommerce/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Webappick_Pdf_Invoice_For_Woocommerce
 * @subpackage Webappick_Pdf_Invoice_For_Woocommerce/includes
 * @author     Md Ohidul Islam <wahid@webappick.com>
 */
class Webappick_Pdf_Invoice_For_Woocommerce_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		# Enable PDF Invoicing
		update_option("wpifw_invoicing","1");
		update_option("wpifw_order_email","1");
		update_option("wpifw_download","1");
		update_option("wpifw_currency_code","1");
		update_option("wpifw_currency_symbol","1");
		update_option("wpifw_disid","SKU");
		update_option("wpifw_block_title_from","FROM");
		update_option("wpifw_block_title_to","TO");
		if(!empty(get_option("wpifw_invoice_no"))){
			update_option("wpifw_invoice_no","1");
		}

		$customerInfo=<<<INFO
{{first_name}} {{last_name}}
{{company}}
{{address_1}}
{{address_2}}
{{city}} - {{postcode}}
{{state}}
{{country}}
P: {{phone}}
E: {{email}}
INFO;
		update_option("wpifw_buyer",$customerInfo);

	}

}
